<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UpdateMakananRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true; // Set ke true jika kamu tidak membatasi akses ke request ini
    }

    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
{
    return [
        'nama' => 'required|string|max:100',
        'kategori_id' => 'required|exists:kategoris,id', // Ensures role_id exists in the 'roles' table
        'jenis_id' => 'required|exists:jenis_makanans,id',
        'lemak' => 'required|regex:/^\d+(\,\d{1,2})?$/',  // Mendukung desimal dengan koma
        'natrium' => 'required|regex:/^\d+(\,\d{1,2})?$/', // Mendukung desimal dengan koma
        'energi' => 'required|regex:/^\d+(\,\d{1,2})?$/', // Mendukung desimal dengan koma
        'karbohidrat' => 'required|regex:/^\d+(\,\d{1,2})?$/',   // Mendukung desimal dengan koma
    ];
}

public function messages()
{
    return [
        'lemak.regex' => 'Lemak jenuh harus berupa angka atau desimal dengan koma (contoh: 1,5).',
        'natrium.regex' => 'Natrium harus berupa angka atau desimal dengan koma (contoh: 1,5).',
        'energi.regex' => 'energi harus berupa angka atau desimal dengan koma (contoh: 1,5).',
        'karbohidrat.regex' => 'karbohidrat harus berupa angka atau desimal dengan koma (contoh: 1,5).',
    ];
}

}
