<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PerbandinganAlternatif extends Model
{
    use HasFactory;

    protected $fillable = [
        'kriteria_id',
        'alternatif_id_1',
        'alternatif_id_2',
        'waktu_makan_id',
        'komponen_id',
        'nilai'
    ];

    public function kriteria()
    {
        return $this->belongsTo(Kriteria::class);
    }

    public function alternatif1()
    {
        return $this->belongsTo(Makanan::class, 'alternatif_id_1');
    }

    public function alternatif2()
    {
        return $this->belongsTo(Makanan::class, 'alternatif_id_2');
    }

    public function waktuMakan()
    {
        return $this->belongsTo(WaktuMakan::class);
    }

    public function komponen()
    {
        return $this->belongsTo(Komponen::class);
    }
}
