<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class RekomendasiAhli extends Model
{
    use HasFactory;

    protected $table = 'rekomendasi_ahli';

    protected $fillable = [
        'makanan_id',
        'komponen_id',
        'waktu_makan_id',
        'hari'
    ];

    // Relasi ke makanan
    public function makanan()
    {
        return $this->belongsTo(Makanan::class, 'makanan_id');
    }

    public function waktuMakan()
    {
        return $this->belongsTo(WaktuMakan::class, 'waktu_makan_id');
    }

    // Relasi ke komponen
    public function komponen()
    {
        return $this->belongsTo(Komponen::class, 'komponen_id');
    }
}
