<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Role extends Model
{
    use HasFactory;

    // Tentukan nama tabel (optional, jika berbeda dengan nama model yang sudah plural)
    protected $table = 'roles';

    // Tentukan kolom yang dapat diisi (fillable)
    protected $fillable = [
        'name', // Nama role, misalnya 'admin', 'user'
    ];

    // Tentukan kolom yang tidak dapat diisi (optional, untuk keamanan)
    // protected $guarded = [];

    // Relasi dengan tabel users
    public function users()
    {
        return $this->hasMany(User::class);
    }
}
