<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SkorMakanan extends Model
{
    use HasFactory;
    public $timestamps = false;
    protected $fillable = [
        'makanan_id',
        'kriteria_id',
        'waktu_makan_id',
        'komponen_id',
        'nilai'
    ];

    protected $casts = [
        'nilai' => 'float'
    ];

    public function makanan()
    {
        return $this->belongsTo(Makanan::class);
    }

    public function kriteria()
    {
        return $this->belongsTo(Kriteria::class);
    }

    public function waktuMakan()
    {
        return $this->belongsTo(WaktuMakan::class);
    }

    public function komponen()
    {
        return $this->belongsTo(Komponen::class);
    }
}
