<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ValidasiRekomendasi extends Model
{
    use HasFactory;

    protected $table = 'validasi_rekomendasi';

    protected $fillable = [
        'hari',
        'waktu_makan_id',
        'komponen_id',
        'makanan_pakar_id',
        'makanan_sistem_ids',
        'status_kecocokan'
    ];

    protected $casts = [
        'makanan_sistem_ids' => 'array',
    ];

    // Relasi ke makanan
    public function makananPakar()
    {
        return $this->belongsTo(Makanan::class, 'makanan_pakar_id');
    }

    public function komponen()
    {
        return $this->belongsTo(Komponen::class, 'komponen_id');
    }

    public function waktuMakan()
    {
        return $this->belongsTo(WaktuMakan::class, 'waktu_makan_id');
    }

}
