<?php

namespace App\Traits;

trait KriteriaTrait
{
    /**
     * Daftar kriteria yang termasuk cost (semakin kecil semakin baik)
     */
    protected function getCostCriteria(): array
    {
        return ['lemak', 'natrium'];
    }

    /**
     * Daftar kriteria yang termasuk benefit (semakin besar semakin baik)
     */
    protected function getBenefitCriteria(): array
    {
        return ['energi', 'karbohidrat'];
    }

    /**
     * Cek apakah kriteria termasuk cost
     */
    protected function isCostCriteria(string $kriteriaNama): bool
    {
        return in_array(strtolower($kriteriaNama), $this->getCostCriteria());
    }

    /**
     * Cek apakah kriteria termasuk benefit
     */
    protected function isBenefitCriteria(string $kriteriaNama): bool
    {
        return in_array(strtolower($kriteriaNama), $this->getBenefitCriteria());
    }
} 