<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        // Add timestamps to bobot_kriterias
        Schema::table('bobot_kriterias', function (Blueprint $table) {
            if (!Schema::hasColumn('bobot_kriterias', 'created_at')) {
                $table->timestamp('created_at')->nullable();
            }
            if (!Schema::hasColumn('bobot_kriterias', 'updated_at')) {
                $table->timestamp('updated_at')->nullable();
            }
        });

        // Add timestamps to perbandingan_kriterias
        Schema::table('perbandingan_kriterias', function (Blueprint $table) {
            if (!Schema::hasColumn('perbandingan_kriterias', 'created_at')) {
                $table->timestamp('created_at')->nullable();
            }
            if (!Schema::hasColumn('perbandingan_kriterias', 'updated_at')) {
                $table->timestamp('updated_at')->nullable();
            }
        });

        // Add timestamps to perbandingan_alternatifs
        Schema::table('perbandingan_alternatifs', function (Blueprint $table) {
            if (!Schema::hasColumn('perbandingan_alternatifs', 'created_at')) {
                $table->timestamp('created_at')->nullable();
            }
            if (!Schema::hasColumn('perbandingan_alternatifs', 'updated_at')) {
                $table->timestamp('updated_at')->nullable();
            }
        });

        // Add timestamps to consistency_ratios
        Schema::table('consistency_ratios', function (Blueprint $table) {
            if (!Schema::hasColumn('consistency_ratios', 'created_at')) {
                $table->timestamp('created_at')->nullable();
            }
            if (!Schema::hasColumn('consistency_ratios', 'updated_at')) {
                $table->timestamp('updated_at')->nullable();
            }
        });

        // Add timestamps to skor_makanans
        Schema::table('skor_makanans', function (Blueprint $table) {
            if (!Schema::hasColumn('skor_makanans', 'created_at')) {
                $table->timestamp('created_at')->nullable();
            }
            if (!Schema::hasColumn('skor_makanans', 'updated_at')) {
                $table->timestamp('updated_at')->nullable();
            }
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // Remove timestamps from bobot_kriterias
        Schema::table('bobot_kriterias', function (Blueprint $table) {
            $table->dropColumn(['created_at', 'updated_at']);
        });

        // Remove timestamps from perbandingan_kriterias
        Schema::table('perbandingan_kriterias', function (Blueprint $table) {
            $table->dropColumn(['created_at', 'updated_at']);
        });

        // Remove timestamps from perbandingan_alternatifs
        Schema::table('perbandingan_alternatifs', function (Blueprint $table) {
            $table->dropColumn(['created_at', 'updated_at']);
        });

        // Remove timestamps from consistency_ratios
        Schema::table('consistency_ratios', function (Blueprint $table) {
            $table->dropColumn(['created_at', 'updated_at']);
        });

        // Remove timestamps from skor_makanans
        Schema::table('skor_makanans', function (Blueprint $table) {
            $table->dropColumn(['created_at', 'updated_at']);
        });
    }
}; 