<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('consistency_ratios', function (Blueprint $table) {
            // Tambahkan foreign key constraints
            if (!Schema::hasColumn('consistency_ratios', 'waktu_makan_id')) {
                $table->unsignedBigInteger('waktu_makan_id')->nullable()->after('kriteria_id');
            }
            if (!Schema::hasColumn('consistency_ratios', 'komponen_id')) {
                $table->unsignedBigInteger('komponen_id')->nullable()->after('waktu_makan_id');
            }

            // Tambahkan foreign key constraints jika belum ada
            $foreignKeys = Schema::getConnection()->getDoctrineSchemaManager()->listTableForeignKeys('consistency_ratios');
            $foreignKeyNames = array_map(function($fk) { return $fk->getName(); }, $foreignKeys);

            if (!in_array('consistency_ratios_waktu_makan_id_foreign', $foreignKeyNames)) {
                $table->foreign('waktu_makan_id')->references('id')->on('waktu_makans')->onDelete('set null');
            }
            if (!in_array('consistency_ratios_komponen_id_foreign', $foreignKeyNames)) {
                $table->foreign('komponen_id')->references('id')->on('komponens')->onDelete('set null');
            }
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('consistency_ratios', function (Blueprint $table) {
            // Drop foreign keys jika ada
            if (Schema::hasColumn('consistency_ratios', 'waktu_makan_id')) {
                $table->dropForeign(['waktu_makan_id']);
                $table->dropColumn('waktu_makan_id');
            }
            if (Schema::hasColumn('consistency_ratios', 'komponen_id')) {
                $table->dropForeign(['komponen_id']);
                $table->dropColumn('komponen_id');
            }
        });
    }
}; 