<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::dropIfExists('consistency_ratios');
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::create('consistency_ratios', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('kriteria_id');
            $table->unsignedBigInteger('komponen_id')->nullable();
            $table->unsignedBigInteger('waktu_makan_id')->nullable();
            $table->float('nilai');
            $table->date('tanggal');
            $table->string('status');
            $table->timestamps();

            $table->foreign('kriteria_id')->references('id')->on('kriterias')->onDelete('cascade');
            $table->foreign('komponen_id')->references('id')->on('komponens')->onDelete('set null');
            $table->foreign('waktu_makan_id')->references('id')->on('waktu_makans')->onDelete('set null');
        });
    }
}; 