<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('consistency_ratios', function (Blueprint $table) {
            // Tambah kolom kriteria_id jika belum ada
            if (!Schema::hasColumn('consistency_ratios', 'kriteria_id')) {
                $table->unsignedBigInteger('kriteria_id')->after('id')->nullable();
                $table->foreign('kriteria_id')->references('id')->on('kriterias')->onDelete('cascade');
            }
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('consistency_ratios', function (Blueprint $table) {
            // Hapus foreign key dan kolom jika ada
            if (Schema::hasColumn('consistency_ratios', 'kriteria_id')) {
                $table->dropForeign(['kriteria_id']);
                $table->dropColumn('kriteria_id');
            }
        });
    }
}; 