<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::create('consistency_ratio_alternatifs', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('kriteria_id');
            $table->unsignedBigInteger('waktu_makan_id');
            $table->unsignedBigInteger('komponen_id');
            $table->double('ci', 8, 4)->comment('Consistency Index');
            $table->double('cr', 8, 4)->comment('Consistency Ratio');
            $table->boolean('is_consistent')->default(false);
            $table->timestamps();

            $table->foreign('kriteria_id')->references('id')->on('kriterias')->onDelete('cascade');
            $table->foreign('waktu_makan_id')->references('id')->on('waktu_makans')->onDelete('cascade');
            $table->foreign('komponen_id')->references('id')->on('komponens')->onDelete('cascade');
        });
    }

    public function down()
    {
        Schema::dropIfExists('consistency_ratio_alternatifs');
    }
}; 