@extends('layout.app')

@section('title', 'Tambah Rekomendasi Ahli')

@section('content')
<div class="container py-4">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header bg-primary text-white">
                    <h5 class="mb-0">Tambah Rekomendasi Ahli</h5>
                </div>
                <div class="card-body">
                    <form action="{{ route('rekomendasi_ahli.store') }}" method="POST">
                        @csrf
                        <div class="mb-3">
                            <label for="hari" class="form-label">Hari</label>
                            <select name="hari" id="hari" class="form-select" required>
                                <option value="">Pilih Hari</option>
                                @foreach(['Senin','Selasa','Rabu','Kamis','Jumat','Sabtu','Minggu'] as $h)
                                    <option value="{{ $h }}" {{ (old('hari', $hari ?? '') == $h) ? 'selected' : '' }}>{{ $h }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="mb-3">
                            <label for="waktu_makan_id" class="form-label">Waktu Makan</label>
                            <select name="waktu_makan_id" id="waktu_makan_id" class="form-select" required>
                                <option value="">Pilih Waktu Makan</option>
                                @foreach($waktuMakans as $waktu)
                                    <option value="{{ $waktu->id }}" {{ old('waktu_makan_id') == $waktu->id ? 'selected' : '' }}>{{ $waktu->nama }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="mb-3">
                            <label for="komponen_id" class="form-label">Komponen</label>
                            <select name="komponen_id" id="komponen_id" class="form-select" required>
                                <option value="">Pilih Komponen</option>
                                @foreach($komponens as $komponen)
                                    <option value="{{ $komponen->id }}" {{ old('komponen_id') == $komponen->id ? 'selected' : '' }}>{{ $komponen->nama }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="mb-3">
                            <label for="makanan_id" class="form-label">Makanan</label>
                            <select name="makanan_id" id="makanan_id" class="form-select" required>
                                <option value="">Pilih Makanan</option>
                                @foreach($makanans as $makanan)
                                    <option value="{{ $makanan->id }}" {{ old('makanan_id') == $makanan->id ? 'selected' : '' }}>{{ $makanan->nama }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="d-flex justify-content-between">
                            <a href="{{ route('rekomendasi_ahli.index') }}" class="btn btn-secondary">Kembali</a>
                            <button type="submit" class="btn btn-primary">Simpan</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection 