@extends('layoutuser.app')
@section('content')

<div style="background: linear-gradient(to bottom, #e3f2fd, #bbdefb); min-height: 100vh; padding-top: 5rem; padding-bottom: 5rem;">
    <div class="container">
        <div class="text-center mb-5">
            <p class="d-inline-block border rounded-pill bg-primary text-light py-1 px-4">History Simulasi</p>
            <h1 class="text-dark mb-4">Riwayat Simulasi AHP</h1>
            <p class="text-dark mb-4 pb-2">
                Berikut adalah riwayat simulasi yang telah Anda lakukan
            </p>
        </div>

        <div class="row justify-content-center">
            <div class="col-lg-10">
                <div class="card shadow-sm mb-4">
                    <div class="card-header bg-white">
                        <h5 class="mb-0">Riwayat Simulasi</h5>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-hover align-middle">
                                <thead class="table-light">
                                    <tr>
                                        <th>#</th>
                                        <th>Judul Simulasi</th>
                                        <th>Jumlah Makanan</th>
                                        <th>Waktu</th>
                                        <th class="text-center">Aksi</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @forelse($simulasis as $i => $simulasi)
                                        <tr>
                                            <td>{{ $simulasis->firstItem() + $i }}</td>
                                            <td>{{ $simulasi->judul }}</td>
                                            <td>{{ count($simulasi->pilihan_makanan_ids) }} makanan</td>
                                            <td>{{ $simulasi->created_at->format('d/m/Y H:i') }}</td>
                                            <td class="text-center">
                                                <a href="{{ route('user.simulasi.detail-history', $simulasi->id) }}" class="btn btn-info btn-sm me-2 mb-1">
                                                    <i class="fas fa-eye"></i> Detail
                                                </a>
                                                <a href="{{ route('user.simulasi.hasil', ['id' => $simulasi->id]) }}" class="btn btn-primary btn-sm mb-1">
                                                    <i class="fas fa-eye"></i> Hasil
                                                </a>
                                            </td>
                                        </tr>
                                    @empty
                                        <tr>
                                            <td colspan="5" class="text-center">Belum ada riwayat simulasi.</td>
                                        </tr>
                                    @endforelse
                                </tbody>
                            </table>
                        </div>
                        <div class="d-flex justify-content-between align-items-center mt-4">
                            <a href="{{ route('user.simulasi.index') }}" class="btn btn-primary rounded-pill px-5 py-2">
                                <i class="fas fa-arrow-left me-2"></i>Kembali ke Simulasi
                            </a>
                            <div>
                                {{ $simulasis->links() }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection 